Package: javax.swing

## Interface MutableComboBoxModel

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Iterator` | `iterator()` Returns an Iterator which traverses the MutableComboBoxModel one item at a time.
    `MutableComboBoxModel` | `leftShift(Object i)` Overloads the left shift operator to provide an easy way to add items to a MutableComboBoxModel.
    `void` | `putAt(int index, Object i)` Allow MutableComboBoxModel to work with subscript operators.

  - #### Methods inherited from interface javax.swing.ListModel

    `getAt`, `iterator`, `size`

- - ### Methods Detail

    - #### public Iterator iterator()

      Returns an Iterator which traverses the MutableComboBoxModel one item at a time.

      Returns:
        an Iterator for a MutableComboBoxModel
      Since:
        1.6.4

    - #### public MutableComboBoxModel leftShift(Object i)

      Overloads the left shift operator to provide an easy way to add items to a MutableComboBoxModel.

      Parameters:
        `i` - an item to be added to the model.
      Returns:
        same model, after the value was added to it.
      Since:
        1.6.4

    - #### public void putAt(int index, Object i)

      Allow MutableComboBoxModel to work with subscript operators.

      WARNING: this operation does not replace the item at the specified index, rather it inserts the item at that index, thus increasing the size of the model by 1.

      Parameters:
        `index` - an index
        `i` - the item to insert at the given index
      Since:
        1.6.4